Skip to main content
GET
/
accounting_new
/
income_statement
/
v2
Get income statement
curl --request GET \
  --url https://api.zenskar.com/accounting_new/income_statement/v2 \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

cadence
string | null
default:month
start_date
string<date> | null
end_date
string<date> | null
currency
string | null
grouping_keys
string[] | null
get_changes
boolean | null
default:true
cursor
string | null
limit
integer | null
default:10
id
string<uuid> | null
id__in
string | null
account_id
string<uuid> | null
account_id__in
string | null
journal_entry_id
string<uuid> | null
journal_entry_id__in
string | null
currency__in
string | null
customer_id
string<uuid> | null
customer_id__in
string | null
contract_id
string<uuid> | null
contract_id__in
string | null
invoice_id
string<uuid> | null
invoice_id__in
string | null
credit_note_id
string<uuid> | null
credit_note_id__in
string | null
tax_jurisdiction_id
string<uuid> | null
tax_jurisdiction_id__in
string | null
payment_id
string<uuid> | null
payment_id__in
string | null
refund_id
string<uuid> | null
refund_id__in
string | null
revenue_contract_id
string<uuid> | null
revenue_contract_id__in
string | null
revenue_contract_item_id
string<uuid> | null
revenue_contract_item_id__in
string | null
performance_obligation_id
string<uuid> | null
performance_obligation_id__in
string | null
product_id
string<uuid> | null
product_id__in
string | null
credits
integer | null
credits__neq
integer | null
credits__gt
integer | null
credits__gte
integer | null
credits__lt
integer | null
credits__lte
integer | null
debits
integer | null
debits__neq
integer | null
debits__gt
integer | null
debits__gte
integer | null
debits__lt
integer | null
debits__lte
integer | null

Response

Successful Response